/* Hero section */

#hero {
    font-family: "Roboto", system-ui, -apple-system, sans-serif;
    
    padding-block: 10rem;
    min-height: 100dvh;

    display: grid;
    align-items: center;

    overflow: clip;
    position: relative;
    isolation: isolate;
}
#hero::after {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to right,
        hsla(225, 21%, 7%, 0.95),
        hsla(225, 21%, 7%, 0.65)
    );

    z-index: -1;
}
#hero picture.back-gr {
    position: absolute;
    inset: 0;
    z-index: -1;
}
#hero picture.back-gr img {
    min-width: 100%;
    min-height: 100%;
}

#hero .hero-inner {
    display: grid;
    gap: 4rem;
}

#hero .hero-inner h1 {
    max-width: 18ch;

    font-size: 7.2rem;
    line-height: 1.25;
    font-style: italic;
    text-transform: uppercase;
    color: var(--font-col-600);
    margin-bottom: 1.5rem;
}

#hero .hero-inner p {
    max-width: 80ch;

    font-size: 2rem;
    font-weight: 500;
    line-height: 1.5;
    color: var(--font-col-400);

    text-align: justify;
}

#hero .hero-inner ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
    gap: 2.4rem;
}

#hero .hero-inner ul li {
    display: grid;
}

#hero .hero-inner ul li b {
    font-size: 3rem;
    font-weight: 700;
    color: var(--yellow);
}
#hero .hero-inner ul li small {
    font-size: 1.4rem;
    color: var(--font-col-300);
}

#hero .hero-inner .buttons {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.5rem;
}

/* Introduction */

#introduction h2 {
    font-size: 4.8rem;
}
#introduction h3 {
    margin-inline: auto;
    max-width: 85ch;

    font-size: 1.8rem;
    line-height: 1.625;
    color: var(--font-col-600);
    text-align: center;

    margin-bottom: 5rem;
}
#introduction .-main-box {
    align-items: start;
}
#introduction ul.cards {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
    gap: 2.4rem;
}
#introduction ul.cards li {
    padding: 2.4rem;

    display: grid;
    gap: 1.6rem;

    grid-template-rows: subgrid;
    grid-row: span 3;

    background-color: var(--main-col2);
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
}
#introduction ul.cards li .strong-ico {
    width: 6.4rem;
    & svg {
        --d: 3.2rem;
    }
}
#introduction ul.cards li h4 {
    font-size: 1.8rem;
    font-style: italic;
    color: var(--font-col-600);
}
#introduction ul.cards li p {
    font-size: 1.4rem;
    line-height: 1.625;
    color: var(--font-col-300);
    text-align: justify;
    hyphens: auto;
}

/* Why Amazon */

#why-amazon ul li {
    padding: 3.2rem;

    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 2;
    gap: 2.4rem;

    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
}

#why-amazon ul li h3 {
    font-size: 3.6rem;
    font-style: italic;
    color: var(--yellow);
}

/* AMAZON FBA PREP SERVICES */

:is(
    #fba-prep,
    #labeling-packing,
    #compliants,
    #ready-in48hours
) h2 {
    font-size: 4.8rem;
}
:is(
    #fba-prep,
    #labeling-packing,
    #compliants,
    #ready-in48hours
) ul {
    --w: min(40rem, 100%);

    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(var(--w), 1fr));
    gap: 2.4rem;
}
:is(
    #fba-prep,
    #labeling-packing,
    #compliants,
    #ready-in48hours
) ul li {
    padding: 2.4rem;

    display: grid;
    gap: 1.6rem;

    grid-template-rows: subgrid;
    grid-row: span 2;

    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;

    & p.text {
        font-size: 1.6rem;
        color: var(--font-col-400);
        text-align: justify;
        hyphens: auto;
    }
}
:is(
    #fba-prep,
    #compliants
) ul li strong {
    font-size: 3.6rem;
    font-weight: 700;
    color: var(--yellow);
}

/* LABELING AND PACKAGING */

#labeling-packing ul {
    --w: min(28.5rem, 100%);
}
#labeling-packing ul li {
    place-items: center;
}
#labeling-packing ul li .strong-ico {
    width: 6.4rem;
    & svg {
        --d: 3.2rem;
    }
}
#labeling-packing ul li span {
    font-size: 1.6rem;
    color: var(--font-col-400);
    text-align: center;
    text-wrap: balance;
}


/* Returns & Removals */
/* Inbound Shipping */

:is(#returns, #inbound-shipping) h2 {
    font-size: 4.8rem;
}
:is(#returns, #inbound-shipping) ul {
    list-style: none;

    display: grid;
    gap: 1.6rem;
}
:is(#returns, #inbound-shipping) ul li {
    display: flex;
    gap: 1.2rem;
}
:is(#returns, #inbound-shipping) ul li svg {
    --size: 20px;
    color: var(--yellow);
}
:is(#returns, #inbound-shipping) ul li span {
    font-size: 1.6rem;
    line-height: 1.625;
    color: var(--font-col-400);
    text-align: justify;
    hyphens: auto;
}


/* WHY TO CHOOSE OUR 3PL. Compliants */

#compliants h3 {
    font-size: 1.8rem;
    text-align: center;
    color: var(--font-col-400);
}
#compliants ul {
    gap: 2.4rem;
}
#compliants ul li strong {
    font-size: 3rem;
}


/* GET AMAZON-READY IN 48 HOURS */

:is(
    #ready-in48hours,
    #pre-footer
) {
    gap: 4rem;
}
:is(
    #ready-in48hours,
    #pre-footer
) h3 {
    margin-inline: auto;
    max-width: 75ch;
    
    font-size: 1.8rem;
    text-align: center;
    color: var(--font-col-400);
}
#ready-in48hours ul li {
    padding: 3.2rem;
    place-items: center;
    grid-row: span 3;
}
#ready-in48hours .strong-ico {
    width: 8rem;
    & svg {
        --d: 3.6rem;
    }
}
#ready-in48hours h4 {
    font-size: 2rem;
    font-style: italic;
    color: var(--font-col-600);
    text-align: center;
    text-wrap: balance;
}
#ready-in48hours span {
    font-size: 1.6rem;
    color: var(--font-col-400);
    text-align: center;
    text-wrap: balance;
}
#ready-in48hours .color-btn {
    margin-inline: auto;
}

/* Pre footer */

#pre-footer h3 {
    font-size: 2rem;
}
#pre-footer .buttons {
    display: flex;
    justify-content: center;
    gap: 1.6rem;
}
#pre-footer ul {
    list-style: none;

    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2.4rem;
}
#pre-footer ul li {
    padding: 2.4rem;
    width: min(20.5rem, 100%);

    display: grid;
    place-items: center;
    gap: 8px;

    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 0.6rem;

    & b {
        font-size: 3rem;
        font-weight: 700;
        color: var(--yellow);
    }
    & small {
        font-size: 1.5rem;
        color: var(--font-col-300);
        text-transform: uppercase;
    }
}